<template>
  <p>
    <button class="btn primary" @click="loadComment">Загрузить комментарии</button>
  </p>
  <app-loader
  v-if="this.loading"
  ></app-loader>
  <div class="card" v-else-if="comments.length && !this.loading">
    <h2>Комментарии</h2>
    <ul class="list">
      <app-comment v-for="comment in comments"
      :email='comment.email'
      :comment='comment.body'
      :key="comment.id"
      />
    </ul>
  </div>

</template>

<script>
import axios from 'axios'
import AppComment from '@/components/AppComment'
import AppLoader from '@/components/AppLoader'
export default {
  data(){
    return{
     comments:[],
      loading:false
    }
  },
  methods:{
    async loadComment(){
      this.loading = true
      const response = await axios.get('https://jsonplaceholder.typicode.com/comments?_limit=42')
      const data = response.data
      data.map(item => {
        this.comments.push({
          email:item.email,
          body:item.body,
          id:item.id
        })
      })
      this.loading = false
    }
  },
  components:{
    AppComment,
    AppLoader
  }
}
</script>

<style scoped>

</style>
